{% extends 'base.html.twig' %}

{% block title %}Hello ManagerDataController!{% endblock %}

{% block body %}


<div class="container pt-5">
 
    <h2>Vérification des résultats de l'exercice 1</h2>
    <form action="/client/product/Subcriber" method="post">
      <input type="hidden" name="q" value="1">
    - ID de l'utilisateur: <input type="number" name="user_id" class="form-control" value="" required><br>
    - ID du produit: <select name="product_id" class="form-control" required>
    
          <option selected value="1">1</option>
          <option  value="2">2</option>
          <option  value="3">3</option>
          <option  value="4">4</option>
          <option  value="5">5</option>
          <option  value="6">6</option>
          <option  value="7">7</option>
          <option  value="8">8</option>
          <option  value="9">9</option>
          <option  value="10">10</option>
      </select><br>
    - Date: <input type="date" name="date" value="2018-10-01" class="form-control" required><br>
    <button class="btn btn-success">Vérifier</button>
    </form>
    &nbsp
    <div>
        {% if subscriber is defined %}
            {{subscriber}}
        {% endif %}
         
    </div>
    &nbsp &nbsp
    <h2>Vérification des résultats de l'exercice 2</h2>
    <form action="/clients/product/Subcriber" method="post">
        <input type="hidden" name="q" value="2">
        - ID du produit: <select name="product_id" class="form-control" required>
            <option selected value="1">1</option>
            <option  value="2">2</option>
            <option  value="3">3</option>
            <option  value="4">4</option>
            <option  value="5">5</option>
            <option  value="6">6</option>
            <option  value="7">7</option>
            <option  value="8">8</option>
            <option  value="9">9</option>
            <option  value="10">10</option>
        </select><br>
        - Date: <input type="date" name="date" value="2018-10-01" class="form-control" required><br>
        <button class="btn btn-success">Vérifier</button>
    </form>
    &nbsp &nbsp
    <div>
        {% if costumers is defined %}
            {% if costumers|length > 0 %}
                    <p>Il y a  en tout {{costumers|length}} abonné(s) à ce produit # {{product}} à cette date: {{date}}</p>
                    Liste des ids: [
                    {% for costumer in costumers %}
                    {{costumer}},
                    {% endfor %}
                    ]
            {% else %}

                    <p>Il y a  en tout 0 abonné(s) à ce produit à cette date:</p>
                    Liste des ids: []
            
            {% endif %}
        {% endif %}
    </div>
</div>

{% endblock %}
